newbie help

Theo Markettos theo at markettos.org.uk
Sat Jun 11 02:16:26 PDT 2005


On Fri, Jun 10, 2005 at 11:11:50PM +0200, Luca wrote:
> I installed the upgrades I downloaded from the above link,
> but I still get that "SWI value out of range for module SharedCLibrary" 
> error message when trying to compile something.

Are you sure it's actually getting loaded?  gcc is a command line executable
so doesn't have a !Run file which can load the module.  Do you
SharedCLibrary 4.xx or 5.xx at the time you run the compiler?  If the
former, the 32 bit module hasn't been loaded.  Try:

*RMEnsure SharedCLibrary 5.30 RMLoad System:Modules.CLib

before you run the compiler.  If this works you might put this in your Boot
sequence.

(Note: I'm just guessing that gcc needs the 32 bit CLib here.  I don't have
in-depth knowledge of that part of the code, so someone please correct me if
I'm talking rubbish!)

Theo



More information about the gcc mailing list